Subject: [mpls] A first version of draft-ijln-mpls-rfc5036bis-00.txt

From: Loa Andersson <[email-masked]>
Date: Tue, 16 Feb 2016 20:12:11 +0800

Working Group,

We have started the work to take LDP to Internet Standard, the -00
version of draft-ijln-mpls-rfc5036bis does a few things

- gives us an xml-document to work from
- defines the scope of what needs to be done
- adds a TODO-list with semi-concrete task that should be
   undertaken
- starts a list of differences between RFC 5036 and the current
   document

We have added an "Editors note" as the first section (for scope
and ToDo), the Editors Note will be removed before publication, but
temporarily the section numbering is "one off" as compared to RFC 5036.

WE have also added xml anchors/targets for internal references and
figure numbers for the figures.

We are considering to remove the figure number again before publication,
but ant them there as long as we are discussing the document.

The implicit tables for optional parameters has been changed to
xml supported texttables.

We have removed the reference to CR-LDP as the TE protocol.

We have discussed if we can remove FR and ATM, since there seems to
be no FR or ATM switches using LDP.

Please comment on what we have done, and help us capture things we
have forgotten.

/Loa
for the editors group

On 2016-02-16 14:52, [email-masked] wrote:
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>
>          Title           : LDP Specification
>          Authors         : Xia Chen
>                            Loa Andersson
>                            Nic Leymann
>                            Ina Minei
> 	Filename        : draft-ijln-mpls-rfc5036bis-00.txt
> 	Pages           : 141
> 	Date            : 2016-02-15
>
> Abstract:
>     The architecture for Multiprotocol Label Switching (MPLS) is
>     described in RFC 3031.  A fundamental concept in MPLS is that two
>     Label Switching Routers (LSRs) must agree on the meaning of the
>     labels used to forward traffic between and through them.  This common
>     understanding is achieved by using a set of procedures, called a
>     label distribution protocol, by which one LSR informs another of
>     label bindings it has made.  This document defines a set of such
>     procedures called LDP (for Label Distribution Protocol) by which LSRs
>     distribute labels to support MPLS forwarding along normally routed
>     paths.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ijln-mpls-rfc5036bis/
>
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ijln-mpls-rfc5036bis-00
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 16 Feb 2016 09:24:22 -0500

Loa,

Questions about ATM and FR come up periodically. There are definitely still
native ATM switches running in SP networks and perhaps native FR switches
as well, and there’s no way to guarantee that none of them aren’t still
running LDP to provide MPLS and IP services. It’s difficult to prove a
negative. So my preference would be to retain those sections.

Cheers,
Andy

On Tue, Feb 16, 2016 at 7:12 AM, Loa Andersson <[email-masked]> wrote:

> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: Eric C Rosen <[email-masked]>
Date: Tue, 16 Feb 2016 10:16:25 -0500

On 2/16/2016 7:12 AM, Loa Andersson wrote:
> Working Group,
>
> We have started the work to take LDP to Internet Standard, 
Why?  There doesn't seem to be any advantage to doing so.  A new 
revision may introduce errors, and will require careful review.  It just 
doesn't seem like a worthwhile expenditure of time.

Also, per RFC 6410, promoting a "Draft Standard" to "Internet Standard" 
does not require a new version of the document.   A new revision doesn't 
seem like a good idea unless there are substantive issues to be addressed.

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 16 Feb 2016 15:32:26 +0000

Andy, and all,
I have looked up RFC 6410<https://tools.ietf.org/html/rfc6410>, and it states that in order to progress to full Standard “at least two independent interoperating implementations with widespread deployment and successful operational experience” are required.

To me this means that if we want to retain the label-controlled ATM and/or FR in the Internet Standard version of LDP, we should be able to “show case” of widespread deployment and successful operational experience independently for each of these.

Can we really do that? I am not sure about ATM, but I have strong doubts widespread deployment of label-controlled FR can be demonstrated even with the most liberal interpretation of the term “widespread”.

It seems that the authors of draft-ijln have chosen an alternative possibility mentioned in 6410, namely removal of “unused features that cause great complexity” from the specification.

If anything, this approach definitely saves some work☺.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: mpls [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Tuesday, February 16, 2016 4:24 PM
To: Loa Andersson
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [mpls] A first version of draft-ijln-mpls-rfc5036bis-00.txt

Loa,

Questions about ATM and FR come up periodically. There are definitely still native ATM switches running in SP networks and perhaps native FR switches as well, and there’s no way to guarantee that none of them aren’t still running LDP to provide MPLS and IP services. It’s difficult to prove a negative. So my preference would be to retain those sections.

Cheers,
Andy

On Tue, Feb 16, 2016 at 7:12 AM, Loa Andersson <[email-masked]<mailto:[email-masked]>> wrote:
Working Group,

/Loa
for the editors group

On 2016-02-16 14:52, [email-masked]<mailto:[email-masked]> wrote:

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

[email-masked]<mailto:[email-masked]>

_______________________________________________
mpls mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 16 Feb 2016 10:51:43 -0500

Sasha,

You probably make a good case regarding label-controlled FR. For
label-controlled ATM, there were certainly widely used implementations at
one point in time. I guess the argument could be made that those
implementations conform to 5036, not the new RFC if it’s removed.

Proof of implementation is easy to find, even now, such as at
http://www.cisco.com/c/en/us/support/docs/multiprotocol-label-switching-mpls/multiprotocol-label-switching-over-atm-mpls-over-atm/10475-mpls-vcmerge.html
and
https://www.juniper.net/documentation/en_US/junos13.2/topics/usage-guidelines/interfaces-configuring-layer-2-circuit-transport-mode.html
.

Cheers,
Andy

On Tue, Feb 16, 2016 at 10:32 AM, Alexander Vainshtein <
[email-masked]> wrote:

> Andy, and all,
>
> I have looked up RFC 6410 <https://tools.ietf.org/html/rfc6410>, and it
> states that in order to progress to full Standard “*at least two
> independent interoperating implementations with widespread deployment and
> successful operational experience*” are required.
>
>
>
> To me this means that if we want to retain the label-controlled ATM and/or
> FR in the Internet Standard version of LDP, we should be able to “show
> case” of widespread deployment and successful operational experience
> independently for each of these.
>
>
>
> Can we really do that? I am not sure about ATM, but I have strong doubts
> widespread deployment of label-controlled FR can be demonstrated even with
> the most liberal interpretation of the term “widespread”.
>
>
>
> It seems that the authors of draft-ijln have chosen an alternative
> possibility mentioned in 6410, namely removal of “unused features that
> cause great complexity” from the specification.
>
>
>
>
>
> If anything, this approach definitely saves some workJ.
>
>
>
> My 2c,
>
> Sasha
>
>
>
> Office: +972-39266302
>
> Cell:      +972-549266302
>
> *From:* mpls [mailto:[email-masked]] *On Behalf Of *Andrew G. Malis
> *Sent:* Tuesday, February 16, 2016 4:24 PM
> *To:* Loa Andersson
> *Cc:* [email-masked]; [email-masked];
> [email-masked]
> *Subject:* Re: [mpls] A first version of draft-ijln-mpls-rfc5036bis-00.txt
>
>
>
> Loa,
>
>
>
> Questions about ATM and FR come up periodically. There are definitely
> still native ATM switches running in SP networks and perhaps native FR
> switches as well, and there’s no way to guarantee that none of them aren’t
> still running LDP to provide MPLS and IP services. It’s difficult to prove
> a negative. So my preference would be to retain those sections.
>
>
>
> Cheers,
>
> Andy
>
>
>
>
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 16 Feb 2016 16:26:07 +0000

Andy,
Lots of thanks for a prompt response.

I fully agree with you that proof of independent implementations is easy to provide.
Actually since RFC 6410 only requires 2 independent implementation, this proof is already here.

Proof of wide deployment is much more problematic. E.g., RFC 5037<https://datatracker.ietf.org/doc/rfc5037/?include_text=1> (Experience with the LDP protocol) does not mention the interface type (packet, ATM or FR) that have been deployed  at the time of survey. I could guess that since 10 out of 11 responders to the corresponding survey have reported using liberal label retention mode, at best the remaining one was using label-controlled ATM. Does this make sense to you?

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: Andrew G. Malis [mailto:[email-masked]]
Sent: Tuesday, February 16, 2016 5:52 PM
To: Alexander Vainshtein
Cc: [email-masked]; [email-masked]; [email-masked]; Loa Andersson
Subject: Re: [mpls] A first version of draft-ijln-mpls-rfc5036bis-00.txt

Sasha,

You probably make a good case regarding label-controlled FR. For label-controlled ATM, there were certainly widely used implementations at one point in time. I guess the argument could be made that those implementations conform to 5036, not the new RFC if it’s removed.

Proof of implementation is easy to find, even now, such as at http://www.cisco.com/c/en/us/support/docs/multiprotocol-label-switching-mpls/multiprotocol-label-switching-over-atm-mpls-over-atm/10475-mpls-vcmerge.html and https://www.juniper.net/documentation/en_US/junos13.2/topics/usage-guidelines/interfaces-configuring-layer-2-circuit-transport-mode.html .

Cheers,
Andy

On Tue, Feb 16, 2016 at 10:32 AM, Alexander Vainshtein <[email-masked]<mailto:[email-masked]>> wrote:
Andy, and all,
I have looked up RFC 6410<https://tools.ietf.org/html/rfc6410>, and it states that in order to progress to full Standard “at least two independent interoperating implementations with widespread deployment and successful operational experience” are required.

My 2c,
Sasha

Office: +972-39266302<tel:%2B972-39266302>
Cell:      +972-549266302<tel:%2B972-549266302>
Email:   [email-masked]<mailto:[email-masked]>

From: mpls [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Andrew G. Malis
Sent: Tuesday, February 16, 2016 4:24 PM
To: Loa Andersson
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [mpls] A first version of draft-ijln-mpls-rfc5036bis-00.txt

Loa,

Cheers,
Andy

/Loa
for the editors group

Abstract:

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 16 Feb 2016 14:20:00 -0500

Sasha,

At the time of that particular survey, yes. There was certainly enough
usage at the time to justify a MIB (RFC 4368). But I agree proof may be
problematic.

Cheers,
Andy

On Tue, Feb 16, 2016 at 11:26 AM, Alexander Vainshtein <
[email-masked]> wrote:

> Proof of wide deployment is much more problematic. E.g., RFC 5037
> <https://datatracker.ietf.org/doc/rfc5037/?include_text=1> (Experience
> with the LDP protocol) does not mention the interface type (packet, ATM or
> FR) that have been deployed  at the time of survey. I could guess that
> since 10 out of 11 responders to the corresponding survey have reported
> using liberal label retention mode, at best the remaining one was using
> label-controlled ATM. Does this make sense to you?
>
>
>
> Regards,
>
> Sasha
>
>
>
> Office: +972-39266302
>
> Cell:      +972-549266302
>
> *From:* Andrew G. Malis [mailto:[email-masked]]
> *Sent:* Tuesday, February 16, 2016 5:52 PM
> *To:* Alexander Vainshtein
> [email-masked]; Loa Andersson
>